Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577233 - Logitech keyboard K350 is slow and missing keystrokes [NEEDINFO]
Summary: Logitech keyboard K350 is slow and missing keystrokes
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:06 UTC by RW Shore
Modified: 2018-08-29 15:10 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:10:25 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description RW Shore 2018-05-11 14:06:57 UTC
Description of problem:
The Logitech K350 is a wireless keyboard. I had no problems with this keyboard when running Fedora 27. With Fedora 28 I see the following issues:

1. Keystrokes are randomly missed. This occurs most often within the first few characters of a typed entry.
2. Some characters eventually appear, but it takes 3 or more seconds (and some of the keystrokes are missing).

This problem is not specific to any particular module or application, which is wny I'm calling it a "kernel" problem. Specifically, I see exactly the same behavior in the shell and in text fields on the Firefox browser.

The problem does not appear with all keyboards: I'm typing this using my backup EagleTec wireless keyboard and mouse, and I'm not having any of these symptoms.

The wireless dongle is plugged into a USB 3.0 hub, which in turn is connected to a USB 3.0 port on an Intel Skull Canyon.

=======
Version-Release number of selected component (if applicable):
System is up to date as of this writing (dnf update reports nothing to do).
Linux xxxxx 4.16.7-300.fc28.x86_64 #1 SMP Wed May 2 20:09:13 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
100%. Note that not all keystrokes are lost. Sometimes I can type a 6-8 characters or more before stuff starts getting dropped. Sometimes keystrokes go missing at the very beginning of a new line/field. However, 100% of the time there start to be keyboard errors within, say, 10 characters.

This behavior never occurred with Fedora 27.

Steps to Reproduce:
1. Boot the machine with the K350 and a mouse attached
2. Open a command shell
3. Start typing

Actual results:
Keystrokes get lost, usually but not always the first few typed; additional keystrokes get lost randomly in the typed input.

Expected results:
No keystrokes lost


Additional info:

Comment 1 RW Shore 2018-05-11 14:14:59 UTC
LATER: I powered down the machine and moved the dongles for both the keyboard and mouse to different ports on the USB hub. So far this seems to have fixed the problem. I'll add additional comments to this bug if the problem recurs.

Comment 2 Justin M. Forbes 2018-07-23 15:03:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:10:25 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.